Bug 183931 - 64-bit gdb cannot debug 32-bit binaries.
64-bit gdb cannot debug 32-bit binaries.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Alexandre Oliva
:
Depends On:
Blocks: FC6Blocker FC5Update
  Show dependency treegraph
 
Reported: 2006-03-03 15:53 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 04:36:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-03-03 15:53:10 EST
[dwmw2@net2-102 ~]$ rpm -q --qf %{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\\n gdb
gdb-6.3.0.0-1.110.ppc64
[dwmw2@net2-102 ~]$ gdb /bin/echo
GNU gdb Red Hat Linux (6.3.0.0-1.110rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ppc64-redhat-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".

(gdb) run
Starting program: /bin/echo
Failed to read a valid object file image from memory.
(no debugging symbols found)
(no debugging symbols found)

Program received signal SIGSEGV, Segmentation fault.
0xf7fd9f08 in do_lookup_x () from /lib/ld.so.1
Comment 1 David Woodhouse 2006-03-03 15:56:21 EST
[dwmw2@net2-102 ~]$ rpm -q --qf %{NAME}-%{VERSION}-%{RELEASE}.%{ARCH}\\n gdb
gdb-6.3.0.0-1.110.ppc
[dwmw2@net2-102 ~]$ gdb /bin/echo
GNU gdb Red Hat Linux (6.3.0.0-1.110rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ppc-redhat-linux-gnu"...(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".

(gdb) run
Starting program: /bin/echo
Reading symbols from shared object read from target memory...(no debugging
symbols found)...done.
Loaded system supplied DSO at 0x100000
(no debugging symbols found)
(no debugging symbols found)


Program exited normally.
(gdb)
Comment 2 Jeremy Katz 2006-09-21 23:29:12 EDT
This still the case?
Comment 3 Jan Kratochvil 2006-09-26 04:36:16 EDT
Tested on ppcp-4as.lab.boston.redhat.com:
* on RHEL4U3 its native gdb-6.3.0.0-1.132.EL4.ppc64
* on the current RawHide (chrooted there, so on kernel-2.6.9-34.EL.ppc64) its
native gdb-6.5-8.fc6.ppc64
* on the current RawHide (chrooted there, so on kernel-2.6.9-34.EL.ppc64) the
downloaded
http://armstrong.rhts.boston.redhat.com/distros/nightly/rawhide-20060923/development/ppc64/os/Fedora/RPMS/gdb-6.5-8.fc6.ppc64.rpm
(as current RawHide does not contain gdb.ppc64 - Bug 206488)

In all the cases not reproducible for gdb.ppc6 -> /bin/echo (ppc), expecting
some other system component (already fixed nowadays) dependency there. Please
reopen if some reason still exists.

Note You need to log in before you can comment on or make changes to this bug.